Packages - Freedom Issue #2893

mesa-demos contains unlicensed or non-free files
2020-09-08 10:45 PM - HEXO

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

https://gitlab.freedesktop.org/mesa/demos/-/blob/master/src/egl/opengles2/es2tri.c

currently one such example discovered does not specify whether it's MIT or some other "free" license

related: https:/gitlab.freedesktop.org/mesa/demos/-/issues/17

History

#1 - 2020-09-08 11:14 PM - bill-auger

- Status changed from unconfirmed to confirmed

the upstream sources have no license file - it is a collection of files from many authors - some mentioning "public domain", some mentioning "all rights
reserved" - the current documentation on the mesa website has the license of mesa as: MIT'; but makes it clear that other components have their
own licenses - mesa-demos is not part of the main package - it is an external compononent in a separate git repo, with a separate release tarball - the
mesa website documentation specifies the license for each component; but the demos are not on that list - after the list, it has only:

"In general, consult the source files for license terms."

the license file in the arch package? appears to be copied from a web page that no longer exists

the LOSTDNRTFSDG?, which the parabola blacklist has for a bug reference, has a URL to the ubuntu license file in the package* (and®), which also
was apparently copied from a different web page, that also no longer exists - [5] is the current URL

both of those supposed "license files" only mention: "see source files", for anything in the src/demos/ and src/xdemos/ directories - they do and do not
mention the src/egl/ directory - which means that LICENSE file in the arch package (and the ubuntu package), neither are actually licenses, do not
even apply to most of the source package

[1]: https://docs.mesa3d.org/license.html
[2]: https://git.parabola.nu/abslibre.qgit/tree/libre/mesa-demos/LICENSE

[3]: http://libreplanet.org/wiki/List_of software that does_not_respect the Free System_Distribution Guidelines#mesademos
[4]: (dead link) http:/changelogs.ubuntu.com/changelogs/pool/universe/m/m mos/m mos_6.2.1-1/
[5]: https://changelogs.ubuntu.com/changelogs/pool/universe/m/mesa-demos/mesa-demos_8.4.0-1/copyright

#2 - 2020-12-05 08:48 AM - oaken-source

| doubt that many of the demos in this patchwork of contributions meet the minimal criteria for a copyrightable work.
the linked one, "Draw a triangle with X/EGL and OpenGL ES 2.x", certainly does not.

This is very likely a non-issue.

#3 - 2020-12-05 09:20 AM - bill-auger

its also likely to never be fixed -

it is technically a "forwarded-upstream"” issue; but it is likely
that it would stay in that state indefdinitely the maintainer's
response was essentially "if someone does the work i will
consider it; but im not going to do it"; and worse, it looks to
me that he would have no authority to sign-off on it anyways

based on a quick look-over, it is a problem though - they are not
all trivial - several of the examples have a copyright notice,
attributed to the employer of the author, who i beleive was the
original project lead dev, but no license specified - anyone who
does not represent that company, has no authority to license them,
which includes the current maintainer, and probably the author
#4 - 2020-12-18 06:42 PM - GNUtoo

There might also be some issues in src/demos/dinoshade.c, from #hyperbola:

<@Emulatorman> GNUtoo: Jjust to let know about a nonfree issue in mesa-demos (called src/demos/dinoshade.c) tha
t contains the same freedom issue than pointblast and spriteblast

< GNUtoo> Thanks, so the issue is only in the src/demos/dinoshade.c file?

<@Emulatorman> GNUtoo: i paid attention on that right now in the latest version of mesa-demos

<@Emulatorman> GNUtoo: for now, it is the only issue
